Bug 510921 - Review Request: adf-accanthis-fonts - A “modernized” garaldic serif typeface
Review Request: adf-accanthis-fonts - A “modernized” garaldic serif typeface
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 10:23 EDT by Nicolas Mailhot
Modified: 2009-09-12 15:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 15:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-07-12 10:23:42 EDT
Spec URL: http://nim.fedorapeople.org/adf-accanthis-fonts.spec
SRPM URL: http://nim.fedorapeople.org/adf-accanthis-fonts-1.6-1.fc12.src.rpm

Description:

A latin typeface published by Hirwen Harendal's Arkandis Digital Foundry, Accanthis was inspired from the “Cloister Oldstyle” typeface found in the “American Specimen Book of Typefaces Suplement”. Its medium contrast is sufficient to be reader-frendly and deliver a elegant and refined experience.

Its creator considers it as a “modernized” garaldic typeface.

Accanthis is well suited to book typesetting and refined presentations. 

See also
http://fedoraproject.org/wiki/ADF_Accanthis_fonts
Comment 1 Parag AN(पराग) 2009-07-13 05:17:10 EDT
+ koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=1470645
- rpmlint on SRPM errors as
I am not sure what these errors are
adf-accanthis-fonts.src: I: checking
adf-accanthis-fonts.src: E: specfile-error error: line 41: Package does not exist: %post  -n adf-accanthis-adf-accanthis-fonts
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

adf-accanthis-fonts.src: E: specfile-error error: query of specfile /tmp/rpmlint.adf-accanthis-fonts-1.6-1.fc12.src.rpm.Oa4geV/adf-accanthis-fonts.spec failed, can't parse
This error occurred when rpmlint used rpm to query the specfile.  The error is
output by rpm and the message should contain more information.

- source verified with upstream as 
1b4384c3b61e843d12ba60dcadb8ca1936b8f275  Accanthis-Std.zip
9379f6737e944e5592a0ad1ddacb89059aaa2a61  ../SOURCES/Accanthis-Std.zip

not sure why this failed.
Comment 2 Nicolas Mailhot 2009-07-13 09:15:28 EDT
(In reply to comment #1)
> + koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=1470645
> - rpmlint on SRPM errors as
> I am not sure what these errors are
> adf-accanthis-fonts.src: I: checking
> adf-accanthis-fonts.src: E: specfile-error error: line 41: Package does not
> exist: %post  -n adf-accanthis-adf-accanthis-fonts
> This error occurred when rpmlint used rpm to query the specfile.  The error is
> output by rpm and the message should contain more information.

...

> not sure why this failed.  

Sorry about this, I used a construct that could not work in pre-F12 distros (fontpackages-devel has some fixes in rawhide that permit stuff that was previously impossible)

I've uploaded a new version, it should work in F10,11 and 12

http://nim.fedorapeople.org/adf-accanthis-fonts-1.6-2.fc12.src.rpm
http://nim.fedorapeople.org/adf-accanthis-fonts.spec

Apologies for wasting your time stupidly like that
Comment 3 Parag AN(पराग) 2009-07-15 06:37:54 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1475232
+ rpmlint is silent for SRPM and for RPM.

APPROVED.
Comment 4 Nicolas Mailhot 2009-07-15 07:00:28 EDT
Thanks a kot for the review!

New Package CVS Request
=======================
Package Name: adf-accanthis-fonts
Short Description: A “modernized” garaldic serif typeface
Owners: nim
Branches: F11
InitialCC: fonts-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2009-07-16 01:36:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.